## python-itemloaders 1.3.2

=== docs/requirements.txt ===
Sphinx>=3.0
sphinx_rtd_theme>=0.4

## python-itemloaders 1.0.2

=== debian/changelog ===
python-itemloaders (1.0.2-2) unstable; urgency=medium

  * Add autopkgtests.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 09 Aug 2020 14:37:23 +0500

python-itemloaders (1.0.2-1) unstable; urgency=medium

  * New upstream version.
  * Upload to unstable.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 09 Aug 2020 00:16:16 +0500

python-itemloaders (1.0.1-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #966305).
  * Upload to experimental.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 26 Jul 2020 16:37:19 +0500

=== debian/control ===
Source: python-itemloaders
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andrey Rahmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-itemadapter,
               python3-jmespath (>= 0.9.5),
               python3-parsel,
               python3-w3lib,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-itemloaders
Vcs-Git: https://salsa.debian.org/python-team/modules/python-itemloaders.git
Homepage: https://github.com/scrapy/itemloaders
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-itemloaders
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Library to populate items using XPath and CSS with a convenient API (Python 3)
 itemloaders is a library that helps you collect data from HTML and XML
 sources.
 .
 It comes in handy to extract data from web pages, as it supports data
 extraction using CSS and XPath Selectors.
 .
 It's specially useful when you need to standardize the data from many sources.
 For example, it allows you to have all your casting and parsing rules in a
 single place.

## python-itemloaders 1.0.4

=== debian/changelog ===
python-itemloaders (1.0.4-2) unstable; urgency=medium

  * Update the URL pattern in debian/watch.
  * Bump Standards-Version to 4.6.0.
  * Annotate test-only B-Ds with !nocheck.
  * Add python3-scrapy to B-D and autopkgtest deps.
  * Explcitly add python3-attr to B-D and autopkgtest deps instead of relying
    on recursive deps.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 26 Jan 2022 20:57:18 +0500

python-itemloaders (1.0.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.5.1.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 28 Nov 2020 21:14:47 +0500

python-itemloaders (1.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andrey Rahmatullin ]
  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 08 Nov 2020 21:20:57 +0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: python-itemloaders
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andrey Rahmatullin <wrar@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
-               python3-pytest,
+               python3-attr <!nocheck>,
+               python3-itemadapter <!nocheck>,
+               python3-jmespath (>= 0.9.5) <!nocheck>,
+               python3-parsel <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-scrapy <!nocheck>,
                python3-setuptools,
-               python3-itemadapter,
-               python3-jmespath (>= 0.9.5),
-               python3-parsel,
-               python3-w3lib,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-itemloaders
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-itemloaders.git
+               python3-w3lib <!nocheck>,
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemloaders
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemloaders.git
 Homepage: https://github.com/scrapy/itemloaders
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=itemloaders

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 python3-all,
 python3-attr,
 python3-pytest,
 python3-scrapy,

## python-itemloaders 1.0.6

=== debian/changelog ===
python-itemloaders (1.0.6-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.6.1.
  * Replace py3versions -r with py3versions -s in the autopkgtest.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 29 Aug 2022 23:35:36 +0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-scrapy <!nocheck>,
                python3-setuptools,
                python3-w3lib <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemloaders
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemloaders.git
 Homepage: https://github.com/scrapy/itemloaders

## python-itemloaders 1.1.0

=== debian/changelog ===
python-itemloaders (1.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 15 Jun 2023 21:48:43 +0400

python-itemloaders (1.1.0-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.
  * Require python3-parsel >= 1.8.1 for running tests.
  * Bump Standards-Version to 4.6.2.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 27 May 2023 01:54:40 +0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-itemloaders
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Andrey Rahmatullin <wrar@debian.org>
+Uploaders: Andrey Rakhmatullin <wrar@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,12 +9,12 @@
                python3-attr <!nocheck>,
                python3-itemadapter <!nocheck>,
                python3-jmespath (>= 0.9.5) <!nocheck>,
-               python3-parsel <!nocheck>,
+               python3-parsel (>= 1.8.1) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-scrapy <!nocheck>,
                python3-setuptools,
                python3-w3lib <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemloaders
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemloaders.git
 Homepage: https://github.com/scrapy/itemloaders

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 python3-all,
 python3-attr,
 python3-pytest (>= 1.8.1),
 python3-scrapy,

=== debian/watch ===
version=4
https://github.com/scrapy/itemloaders/tags \
/scrapy/itemloaders/archive.*/v([\d\.]+)\.tar\.gz

## python-itemloaders 1.3.1

=== debian/changelog ===
python-itemloaders (1.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 03 Jun 2024 23:39:25 +0500

python-itemloaders (1.3.0-1) unstable; urgency=medium

  * New upstream version.
    + Makes the docs build repdoducible (Closes: #1069784).

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 30 May 2024 19:49:27 +0500

python-itemloaders (1.2.0-3) unstable; urgency=medium

  * Build with python-scrapy-doc and python-w3lib-doc.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 24 Apr 2024 12:01:38 +0500

python-itemloaders (1.2.0-2) unstable; urgency=medium

  * Add the python-itemloaders-doc subpackage.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 21 Apr 2024 22:52:28 +0500

python-itemloaders (1.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Switch to autopkgtest-pkg-pybuild.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 19 Apr 2024 00:13:41 +0500

=== debian/control ===
Source: python-itemloaders
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andrey Rakhmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               python-parsel-doc <!nodoc>,
               python-scrapy-doc <!nodoc>,
               python-w3lib-doc <!nodoc>,
               python3-all,
               python3-attr <!nocheck>,
               python3-doc <!nodoc>,
               python3-itemadapter <!nocheck> <!nodoc>,
               python3-jmespath (>= 0.9.5) <!nocheck>,
               python3-parsel (>= 1.8.1) <!nocheck> <!nodoc>,
               python3-pytest <!nocheck>,
               python3-scrapy <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-w3lib <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemloaders
Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemloaders.git
Homepage: https://github.com/scrapy/itemloaders
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-itemloaders
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Library to populate items using XPath and CSS with a convenient API
 itemloaders is a library that helps you collect data from HTML and XML
 sources.
 .
 It comes in handy to extract data from web pages, as it supports data
 extraction using CSS and XPath Selectors.
 .
 It's specially useful when you need to standardize the data from many sources.
 For example, it allows you to have all your casting and parsing rules in a
 single place.

Package: python-itemloaders-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using}
Suggests: python3-itemloaders
Description: Library to populate items using XPath and CSS (documentation)
 itemloaders is a library that helps you collect data from HTML and XML
 sources.
 .
 It comes in handy to extract data from web pages, as it supports data
 extraction using CSS and XPath Selectors.
 .
 It's specially useful when you need to standardize the data from many sources.
 For example, it allows you to have all your casting and parsing rules in a
 single place.
 .
 This package contains the documentation.

## python-itemloaders 1.3.2

=== debian/changelog ===
python-itemloaders (1.3.2-1) unstable; urgency=medium

  * New upstream version.
  * Remove no longer needed B-D on python3-w3lib and python-w3lib-doc.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 06 Oct 2024 13:57:28 +0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                dh-sequence-sphinxdoc <!nodoc>,
                python-parsel-doc <!nodoc>,
                python-scrapy-doc <!nodoc>,
-               python-w3lib-doc <!nodoc>,
                python3-all,
                python3-attr <!nocheck>,
                python3-doc <!nodoc>,
@@ -20,7 +19,6 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-w3lib <!nocheck>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemloaders
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemloaders.git

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,9 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-itemloaders-doc/usr/share/doc/python-itemloaders-doc/html
+	dh_sphinxdoc
+endif

## python-itemloaders 1.4.0

=== debian/changelog ===
python-itemloaders (1.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop d/watch in favor of d/upstream/metadata.
  * Drop Rules-Requires-Root and Priority.
  * Bump Standards-Version to 4.7.3.
  * Add Multi-Arch: foreign to python-itemloaders-doc.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 30 Jan 2026 23:09:43 +0500

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,28 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andrey Rakhmatullin <wrar@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
+               pybuild-plugin-pyproject,
                python-parsel-doc <!nodoc>,
                python-scrapy-doc <!nodoc>,
                python3-all,
                python3-attr <!nocheck>,
                python3-doc <!nodoc>,
+               python3-hatchling,
                python3-itemadapter <!nocheck> <!nodoc>,
                python3-jmespath (>= 0.9.5) <!nocheck>,
                python3-parsel (>= 1.8.1) <!nocheck> <!nodoc>,
                python3-pytest <!nocheck>,
                python3-scrapy <!nocheck>,
-               python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemloaders
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemloaders.git
 Homepage: https://github.com/scrapy/itemloaders
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-itemloaders
 Architecture: all
@@ -43,6 +42,7 @@
 Package: python-itemloaders-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Built-Using: ${sphinxdoc:Built-Using}
